program figuros;
  var m, si, sa, sa1, k1 : longint;
  procedure staciakampiai(m : longint);
  begin
    si := 2;
    sa := m div 2;
    sa1 := 0;
    while si < sa do
      begin
        writeln ('staciakampis: ', si, ', ', sa, '; ');
        si := si + 1;
        sa := sa - 1;
      end;
  end;
  procedure kvadratas(m : longint);
    var k1 : longint;
  begin
    k1 := m div 4 + 1;
    writeln('kvadratas', k1, ', ', k1, '; ');
  end;
  procedure trikampis(m : longint);
  begin

  procedure skirstymas(m : longint);
  begin
    if (m mod 2 = 0)
      then staciakampiai(m);
    if (m mod 4 = 0)
      then kvadratas(m);
    if (m > 2) and (
  end;
begin
read(m);
skirstymas(m);
end.